summaryrefslogtreecommitdiff
path: root/test/windows/odb/all
diff options
context:
space:
mode:
Diffstat (limited to 'test/windows/odb/all')
-rwxr-xr-xtest/windows/odb/all32
1 files changed, 26 insertions, 6 deletions
diff --git a/test/windows/odb/all b/test/windows/odb/all
index cef5a67..8eddb09 100755
--- a/test/windows/odb/all
+++ b/test/windows/odb/all
@@ -7,12 +7,33 @@ function error ()
echo "$*" 1>&2
}
+function usage ()
+{
+ error "usage: $0 vc-version conf plat [action]"
+ error " valid configurations are: {Debug,Release}|all"
+ error " valid platforms are: {Win32,x64}|all"
+ error " valid actions are: /Build (default), /Clean, and /Rebuild"
+}
+
if [ "$1" = "" ]; then
- echo vc++ version expected
+ error vc version expected
+ usage
+ exit 1
+fi
+
+if [ "$2" = "" ]; then
+ error configuration expected
+ usage
exit 1
fi
-action=$2
+if [ "$3" = "" ]; then
+ error platform expected
+ usage
+ exit 1
+fi
+
+action=$4
if [ "$action" == "" ]; then
action=/Build
fi
@@ -20,12 +41,11 @@ fi
databases="mysql"
for d in $databases; do
- cmd.exe /C "setenv.bat build.bat $d $1 $action"
+ cmd.exe /C setenv.bat build.bat "$d" "$1" "$2" "$3" "$action"
cd odb-tests
- cmd.exe /C "..\setenv.bat test.bat $d"
+ cmd.exe /C ..\setenv.bat test.bat "$d"
cd ..
cd odb-examples
- cmd.exe /C "..\setenv.bat test.bat $d"
+ cmd.exe /C ..\setenv.bat test.bat "$d"
cd ..
done
-